package com.hai.service.impl;

import com.hai.dao.HighDiscountPackageRecordMapper;
import com.hai.entity.HighDiscountPackageRecord;
import com.hai.service.HighDiscountPackageRecordService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

@Service("discountPackageRecordService")
public class HighDiscountPackageRecordServiceImpl implements HighDiscountPackageRecordService {

    @Resource
    private HighDiscountPackageRecordMapper highDiscountPackageRecordMapper;

    @Override
    public void insertRecord(HighDiscountPackageRecord record) {
        record.setCreatedTime(new Date());
        record.setStatus(1);
        highDiscountPackageRecordMapper.insert(record);
    }
}
